List institutions
curl --request GET \
--url https://api.fintoc.com/v1/institutions \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v1/institutions"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v1/institutions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v1/institutions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v1/institutions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v1/institutions")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v1/institutions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "cl_banco_de_chile",
"country": "cl",
"name": "Banco de Chile",
"object_name": "institution",
"products": [
{
"holder_type": "individual",
"name": "movements"
},
{
"holder_type": "business",
"name": "movements"
},
{
"holder_type": "individual",
"name": "payments"
}
],
"type": "bank"
},
{
"id": "cl_fiscal_sii",
"country": "cl",
"name": "SII",
"object_name": "institution",
"products": [
{
"holder_type": "business",
"name": "invoices"
}
],
"type": "fiscal_authority"
}
]{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}Institutions
List institutions
Lists the institutions supported by Fintoc, along with the products available at each one. Fintoc resolves product availability using your organization and the API key’s live or test mode. Use the country, type, and product query parameters to filter the list.
GET
/
v1
/
institutions
List institutions
curl --request GET \
--url https://api.fintoc.com/v1/institutions \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v1/institutions"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v1/institutions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v1/institutions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v1/institutions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v1/institutions")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v1/institutions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"id": "cl_banco_de_chile",
"country": "cl",
"name": "Banco de Chile",
"object_name": "institution",
"products": [
{
"holder_type": "individual",
"name": "movements"
},
{
"holder_type": "business",
"name": "movements"
},
{
"holder_type": "individual",
"name": "payments"
}
],
"type": "bank"
},
{
"id": "cl_fiscal_sii",
"country": "cl",
"name": "SII",
"object_name": "institution",
"products": [
{
"holder_type": "business",
"name": "invoices"
}
],
"type": "fiscal_authority"
}
]{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}Query Parameters
Response
List of supported institutions that match the query parameters, with the products available at each one.
Was this page helpful?